LLMS_REST_Students_Controller::get_collection_params()
Retrieves the query params for the objects collection.
Return Return
(array) Collection parameters.
Source Source
File: libraries/lifterlms-rest/includes/server/class-llms-rest-students-controller.php
public function get_collection_params() {
$params = parent::get_collection_params();
$params['enrolled_in'] = array(
'description' => __( 'Retrieve only students enrolled in the specified course(s) and/or membership(s). Accepts a single WP Post ID or a comma separated list of IDs.', 'lifterlms' ),
'type' => 'array',
'items' => array(
'type' => 'integer',
),
);
$params['enrolled_not_in'] = array(
'description' => __( 'Retrieve only students not enrolled in the specified course(s) and/or membership(s). Accepts a single WP Post ID or a comma separated list of IDs.', 'lifterlms' ),
'type' => 'array',
'items' => array(
'type' => 'integer',
),
);
return $params;
}
/**
Expand full source code Collapse full source code View on GitHub
Changelog Changelog
| Version | Description |
|---|---|
| 1.0.0-beta.1 | Introduced. |